# QuizQuestion

Represents a question on a quiz on SMHW.

## Constructor

#### new QuizQuestion(client, response)

Instantiate a QuizQuestion object.

Parameters:

Name | Type | Description
--- | --- | ---
`client` | Client | The client that is instantiating this object.
`response` | Object | The data for the object.

Source:
  - structures/QuizQuestion.js, line 10

### Members

#### (private) _client :Client

The client that instantiated this object.

Type:

- Client

Source:
  - structures/QuizQuestion.js, line 16

#### correct_answer :String

The correct answer to the question.

Type:

- String

Source:
  - structures/QuizQuestion.js, line 22

#### created_at :Number

The timestamp of when the question was created.

Type:

- Number

Source:
  - structures/QuizQuestion.js, line 28

#### description :String

The description of the question.

Type:

- String

Source:
  - structures/QuizQuestion.js, line 34

#### id :Number

The ID of the question.

Type:

- Number

Source:
  - structures/QuizQuestion.js, line 40

#### image_file_name :String

The file name of the question image.

Type:

- String

Source:
  - structures/QuizQuestion.js, line 46

#### image_large_url :String

The URL of a large version of the question image.

Type:

- String

Source:
  - structures/QuizQuestion.js, line 52

#### image_small_url :String

The URL of a small version of the question image.

Type:

- String

Source:
  - structures/QuizQuestion.js, line 58

#### image_url :String

The URl of the question image.

Type:

- String

Source:
  - structures/QuizQuestion.js, line 64

#### image_xsmall_url :String

The URL of an extra small version of the question image.

Type:

- String

Source:
  - structures/QuizQuestion.js, line 70

#### incorrect_answers :Array.<String>

An array of incorrect answers to the question.

Type:

- Array.<String>

Source:
  - structures/QuizQuestion.js, line 76

#### is_preparing :Boolean

Type:

- Boolean

Source:
  - structures/QuizQuestion.js, line 81

#### options :Array.<String>

The different options for the question.

Type:

- Array.<String>

Source:
  - structures/QuizQuestion.js, line 87

#### updated_at :Number

The timestamp of when the question was last updated.

Type:

- Number

Source:
  - structures/QuizQuestion.js, line 93